### Method

# RB Source get_playback_status

#### Declaration [src]

    void
    rb_source_get_playback_status (
      RBSource* source,
      char** text,
      float* progress
    )

#### Description [src]

Retrieves playback status details, such as buffering progress.

#### Parameters

`text`

  Type: `char**`

  Holds returned playback status text.

  The argument will be modified by the function.
  The argument can be set to `NULL` by the method.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`progress`

  Type: `float*`

  Holds returned playback status progress value.

  The argument will be modified by the function.
  The argument can be set to `NULL` by the method.